%global _extdir %{_libdir}/php56/extensions

Summary:	SQL Relay modules for PHP 5.6
Summary(ko):	PHP 5.6 SQL Relay 모듈
Name:		php56-sqlrelay
Version:	0.64
Release:	1%{?dist}
Epoch:		1

Group:		Development/Languages
License:	GPLv2/LGPLv2 and Others
URL:		http://sqlrelay.sourceforge.net
Source0:	php-sqlrelay-0.64.tar.bz2
Patch0:		php-sqlrelay-compat56.patch

BuildRequires:	php56-devel rudiments-devel sqlrelay-client-devel-c++
Requires:	php56api rudiments sqlrelay-client-runtime-c++

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


%description
This extension is php extension for sqlrelay binding


%prep
%setup -q -n php-sqlrelay-%{version}
%patch0 -p1


%build
%{__make}


%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__install} -d -m 755 %{buildroot}%{_extdir}
%{__install} -m 755 php/.libs/sqlrelay.so %{buildroot}%{_extdir}/
%{__install} -m 755 phppdo/.libs/pdo_sqlrelay.so %{buildroot}%{_extdir}/

%{__install} -d -m 755 %{buildroot}%{_sysconfdir}/php56.d/{fpm,cli}
%{__install} -m 644 sqlrelay.ini %{buildroot}%{_sysconfdir}/php56.d/fpm/
%{__install} -m 644 sqlrelay.ini %{buildroot}%{_sysconfdir}/php56.d/cli/

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/php56.d/fpm/sqlrelay.ini
%config(noreplace) %{_sysconfdir}/php56.d/cli/sqlrelay.ini
%attr(755,root,root) %{_extdir}/*.so

%changelog
* Fri Jan 15 2016 JoungKyun.Kim <http://oops.org> 1:0.64-1%{?dist}
- first packaged on AN3 for php 5.6

